Bug 140587 - ISO Images don't have the pop-up menu item for burning to CD
ISO Images don't have the pop-up menu item for burning to CD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mime-data (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-23 14:05 EST by Andrig Miller
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:35:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrig Miller 2004-11-23 14:05:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
When right-clicking on an ISO image file, you don't get the menu item
for burning to CD anymore.  I checked the properties of the iso image
files, and they say they are MIME type application/x-arc.  That MIME
type is not shown anywhere in the preference applet for "File types
and Programs".  The ISO Image MIME type is shown in there, and it
didn't have an extension, so I added .iso as an extension.  This
didn't do anything.  What I noticed as well, is that when I first
right-clicked on one of the iso image files, the menu seems longer,
and then re-draws and becomes shorter.  It took several tries, before
I could make out what was there, because it disappears very quickly. 
It is the menu item "Write to CD", and it includes the CD icon next to
it, then it immediately disappears when the pop-up menu redraws.

By the way, I am downloaded these files through Firefox.  Do you think
that Firefox is messing up with MIME type?  I will try to download one
of these ISO Images using Mozilla, and see what happens.

Version-Release number of selected component (if applicable):
gnome-mime-data-2.4.1-4

How reproducible:
Always

Steps to Reproduce:
1. Open a Nautilas Window that has an ISO Image file in it.
2. Right-click on the ISO Image file.
3. Watch the menu redraw, and remove the "Write to CD" menu item.
    

Actual Results:  Menu item for "Write to CD" disappears.

Expected Results:  There should be a menu item called "Write to CD"
with a CD icon next to it.

Additional info:
Comment 1 Andrig Miller 2004-11-23 14:19:23 EST
I just noticed, by changing the view in the Nautilus window to view as
list, that when I first open the window, the MIME type says
application/x-cd-image, which is not defined in the MIME types.  When
I right-click on the file, it changes to application/x-arc.  I defined
application/x-cd-image in the MIME types, but this had no affect. 
Something is definitely wrong, in how the MIME type is being detected.
Comment 2 Andrig Miller 2004-11-25 12:54:07 EST
I just got everything to work.  I don't know exactly which thing fixed
it, but I changed two things.  The first thing I changed was the
/etc/mime-magic file and removed the conflicting application/x-arc
entry.  I then rebuilt the /etc/mime-magic.dat with the
/usr/bin/gnome-gen-mimedb command.  I also found in
/usr/share/mime/packages a file called freedesktop.org.xml that also
contained a mime-magic entry for application/x-arc.  I removed it, and
rebuilt the magic file in /usr/share/mime.  After that, when I right
clicked on the ISO image file, the menu item for "Write to CD" is
there, and it stays there.  Either one or both of the mime-magic
databases is identifying an ISO image file as an application/x-arc
file incorrectly.
Comment 3 Matthew Miller 2005-04-26 11:08:35 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Ray Strode [halfline] 2005-05-11 17:35:35 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.